﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGHoverSyncCase
{
    public class ViewModel
    {

        string[] names = "Andrew;Alex;Jen;Steve;Murphy;Eric;Tom;Cliff;Valerie;Pamela;Rob".Split(';');

        public ObservableCollection<SampleData> Data { get; set; }
        public ObservableCollection<SampleData> Data2 { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            Data2 = new ObservableCollection<SampleData>();

            for (int i = 1; i < 15; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Name = names[r.Next(names.Length)],
                    Age = r.Next(20, 40),
                    Hovered = false,
                    Random = r.Next(1000)
                });

                Data2.Add(new SampleData()
                {
                    ID = i,
                    Name = names[r.Next(names.Length)],
                    Age = r.Next(20, 40),
                    Hovered = false,
                    Random = r.Next(1000)
                });
            }
        }
    }

    public class SampleData : INotifyPropertyChanged
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public int Age { get; set; }
        public int Random { get; set; }

        private bool _hover;
        public bool Hovered
        {
            get { return _hover; }
            set
            {
                if (_hover != value)
                {
                    _hover = value;
                    OnPropertyChanged("Hovered");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
